image: openjdk:8-jdk-slim

variables:
  MAVEN_OPTS: "-Dhttps.protocols=TLSv1.2 -Dmaven.color=false -Dorg.slf4j.simpleLogger.log.org.apache.maven.cli.transfer.Slf4jMavenTransferListener=WARN -Dorg.slf4j.simpleLogger.showDateTime=true -Djava.awt.headless=true"
  MAVEN_CLI_OPTS: "--batch-mode --errors --fail-at-end --show-version -DinstallAtEnd=true -DdeployAtEnd=true"

stages:
    - tests
    - build

build:
    stage: build
    script:
    - ./mvnw $MAVEN_CLI_OPTS install -DskipTests

unit:
    stage: tests
    script:
    - ./mvnw $MAVEN_CLI_OPTS test -Dtests.tags="unit"

e2e:
    stage : tests
    script:
    - ./mvnw $MAVEN_CLI_OPTS test -Dtests.tags="e2e"